Subject: [Healeys] Steering Box R&R

From: Bob Spidell <[email-masked]>
Date: Tue, 9 Apr 2019 08:02:02 -0700

Anybody done one in situ in a BJ8?  The DWR steering box, which I had 
inquired about last June--I was put on a waiting list--is on its way.  
I've heard that getting a BJ8's grill out and in can be a bear; any 
advice or 'tricks?'  Other gotchas?

As daunting as this task appears, it comes at a good time as my original 
box is leaking pretty bad, and I'd probably need to get in on the bench 
to remedy that anyway.

TIA,

Bob

_______________________________________________
Support Team.Net http://www.team.net/donate.html
Suggested annual donation  $12.75

Archive: http://www.team.net/pipermail/healeys http://autox.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/healeys

Unsubscribe/Manage: http://autox.team.net/mailman/options/healeys/[email-masked]